net.fortuna.ical4j.data

## Class CalendarParserFactory

- java.lang.Object
- - net.fortuna.ical4j.data.CalendarParserFactory

Direct Known Subclasses:
  DefaultCalendarParserFactory, HCalendarParserFactory

    public abstract class CalendarParserFactory
    extends Object

     $Id$

     Created on 08/02/2007

Provides access to the configured `CalendarParser` instance. Alternative factory implementations may be specified via the following system property:

     net.fortuna.ical4j.parser=<factory_class_name>

Author:
  Ben Fortuna

### Field Summary

Fields
`static String` `KEY_FACTORY_CLASS` The system property used to specify an alternate `CalendarParser` implementation.

### Constructor Summary

Constructors
Constructor and Description
`CalendarParserFactory()`

### Method Summary

Methods
`abstract CalendarParser` `createParser()` Returns a new instance of the configured `CalendarParser`.
`static CalendarParserFactory` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_FACTORY_CLASS

    public static final String KEY_FACTORY_CLASS

The system property used to specify an alternate `CalendarParser` implementation.

See Also:
  Constant Field Values

### Constructor Detail

#### CalendarParserFactory

    public CalendarParserFactory()

### Method Detail

#### getInstance

    public static CalendarParserFactory getInstance()

Returns:
  a shared factory instance

#### createParser

    public abstract CalendarParser createParser()

Returns a new instance of the configured `CalendarParser`.

Returns:
  a calendar parser instance